#!/usr/bin/env python3.2

from pgtoolkit import pgstats, toolbase


class LongQueriesTool(toolbase.SimpleTool):
    def __init__(self):
        toolbase.SimpleTool.__init__(self, name='longqueries', desc='List long queries.')
        self.init()

    def main(self):
        stats = pgstats.PgStats(self.pgm.get_conn('target'))

        for ln in stats.list_long_queries():
            print(ln['query'])
            print('   ', 'query_start:', ln['query_start'].strftime('%F %T'))
            print()


tool = LongQueriesTool()
tool.main()

